lib

# Class: Syntax

Source Location: /lib/schema.inc

### Class Overview

    SchemaItem
       |
       --Syntax

Represents an LDAP Syntax

### Methods

- Syntax
- initVars

### Inherited Variables

#### Class: SchemaItem

SchemaItem::$description
SchemaItem::$oid

### Inherited Methods

#### Class: SchemaItem

SchemaItem::SchemaItem()
  Default constructor.
SchemaItem::getDescription()
SchemaItem::getOID()
SchemaItem::initVars()
  Initialize class members to default values.
SchemaItem::setDescription()
SchemaItem::setOID()

### Class Details

[line 973]
Represents an LDAP Syntax
[ Top ]

### Class Methods

### constructor Syntax [line 986]

`Syntax Syntax( $raw_ldap_syntax_string)`

Creates a new Syntax object from a raw LDAP syntax string.

#### Parameters:

| $raw_ldap_syntax_string |

[ Top ]

### method initVars [line 976]

`void initVars( )`

Initializes the class' member variables
Overrides SchemaItem::initVars() (Initialize class members to default values.)
[ Top ]

Documentation generated on Mon, 28 Apr 2008 20:17:50 +0200 by phpDocumentor 1.4.0